<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::ConstCluster Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_const_cluster.html">ConstCluster</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_const_cluster-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::ConstCluster Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_cluster_const_8h_source.html">ClusterConst.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3d96f2e954b1d8f0af65a89301adb75d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#a3d96f2e954b1d8f0af65a89301adb75d">ConstCluster</a> ()</td></tr>
<tr class="memdesc:a3d96f2e954b1d8f0af65a89301adb75d"><td class="mdescLeft">&#160;</td><td class="mdescRight">default constructor  <a href="#a3d96f2e954b1d8f0af65a89301adb75d">More...</a><br /></td></tr>
<tr class="separator:a3d96f2e954b1d8f0af65a89301adb75d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89b72610e8a046c8dc417cf5ce7b6140"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#a89b72610e8a046c8dc417cf5ce7b6140">ConstCluster</a> (float <a class="el" href="classeic_1_1_const_cluster.html#a207ee0f008fdb43732235b63415948fd">energy</a>, std::array&lt; float, 3 &gt; <a class="el" href="classeic_1_1_const_cluster.html#affb2b5a9c511922b51db5945f67988bf">position</a>, std::array&lt; float, 6 &gt; <a class="el" href="classeic_1_1_const_cluster.html#a3c05cd3edd24b6804314aeedd5876bc4">positionError</a>, float <a class="el" href="classeic_1_1_const_cluster.html#a70192afa134440272ee7f0acf25cb88f">theta</a>, float <a class="el" href="classeic_1_1_const_cluster.html#a4f3c6ff7a35997ba91fc516c9340df96">phi</a>, std::array&lt; float, 3 &gt; <a class="el" href="classeic_1_1_const_cluster.html#ac0596d92806b3e10fd5520ab34cd215e">directionError</a>)</td></tr>
<tr class="separator:a89b72610e8a046c8dc417cf5ce7b6140"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad61b1b8281e65376c269f693931ebcf1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#ad61b1b8281e65376c269f693931ebcf1">ConstCluster</a> (<a class="el" href="classeic_1_1_cluster_obj.html">ClusterObj</a> *obj)</td></tr>
<tr class="memdesc:ad61b1b8281e65376c269f693931ebcf1"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor from existing <a class="el" href="classeic_1_1_cluster_obj.html">ClusterObj</a>  <a href="#ad61b1b8281e65376c269f693931ebcf1">More...</a><br /></td></tr>
<tr class="separator:ad61b1b8281e65376c269f693931ebcf1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af521efce55dc71a9297116cb11dd223f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#af521efce55dc71a9297116cb11dd223f">ConstCluster</a> (const <a class="el" href="classeic_1_1_const_cluster.html">ConstCluster</a> &amp;other)</td></tr>
<tr class="memdesc:af521efce55dc71a9297116cb11dd223f"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor  <a href="#af521efce55dc71a9297116cb11dd223f">More...</a><br /></td></tr>
<tr class="separator:af521efce55dc71a9297116cb11dd223f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0130c5dabca753aa2a1fdf8ce9222c8b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_const_cluster.html">ConstCluster</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#a0130c5dabca753aa2a1fdf8ce9222c8b">operator=</a> (const <a class="el" href="classeic_1_1_const_cluster.html">ConstCluster</a> &amp;other)</td></tr>
<tr class="memdesc:a0130c5dabca753aa2a1fdf8ce9222c8b"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy-assignment operator  <a href="#a0130c5dabca753aa2a1fdf8ce9222c8b">More...</a><br /></td></tr>
<tr class="separator:a0130c5dabca753aa2a1fdf8ce9222c8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa26e9132ee4d394f65513c47cf515090"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_const_cluster.html">ConstCluster</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#aa26e9132ee4d394f65513c47cf515090">clone</a> () const</td></tr>
<tr class="memdesc:aa26e9132ee4d394f65513c47cf515090"><td class="mdescLeft">&#160;</td><td class="mdescRight">support cloning (deep-copy)  <a href="#aa26e9132ee4d394f65513c47cf515090">More...</a><br /></td></tr>
<tr class="separator:aa26e9132ee4d394f65513c47cf515090"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc6346f25ae8bbef9fdd7f85b328d9d4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#adc6346f25ae8bbef9fdd7f85b328d9d4">~ConstCluster</a> ()</td></tr>
<tr class="memdesc:adc6346f25ae8bbef9fdd7f85b328d9d4"><td class="mdescLeft">&#160;</td><td class="mdescRight">destructor  <a href="#adc6346f25ae8bbef9fdd7f85b328d9d4">More...</a><br /></td></tr>
<tr class="separator:adc6346f25ae8bbef9fdd7f85b328d9d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a207ee0f008fdb43732235b63415948fd"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#a207ee0f008fdb43732235b63415948fd">energy</a> () const</td></tr>
<tr class="memdesc:a207ee0f008fdb43732235b63415948fd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the Energy of the cluster.  <a href="#a207ee0f008fdb43732235b63415948fd">More...</a><br /></td></tr>
<tr class="separator:a207ee0f008fdb43732235b63415948fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affb2b5a9c511922b51db5945f67988bf"><td class="memItemLeft" align="right" valign="top">const std::array&lt; float, 3 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#affb2b5a9c511922b51db5945f67988bf">position</a> () const</td></tr>
<tr class="memdesc:affb2b5a9c511922b51db5945f67988bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the Position of the cluster.  <a href="#affb2b5a9c511922b51db5945f67988bf">More...</a><br /></td></tr>
<tr class="separator:affb2b5a9c511922b51db5945f67988bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e4821cfa17cda13bf6bf635284608ac"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#a8e4821cfa17cda13bf6bf635284608ac">position</a> (size_t i) const</td></tr>
<tr class="memdesc:a8e4821cfa17cda13bf6bf635284608ac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access item i of the Position of the cluster.  <a href="#a8e4821cfa17cda13bf6bf635284608ac">More...</a><br /></td></tr>
<tr class="separator:a8e4821cfa17cda13bf6bf635284608ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c05cd3edd24b6804314aeedd5876bc4"><td class="memItemLeft" align="right" valign="top">const std::array&lt; float, 6 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#a3c05cd3edd24b6804314aeedd5876bc4">positionError</a> () const</td></tr>
<tr class="memdesc:a3c05cd3edd24b6804314aeedd5876bc4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the Covariance matrix of the position (6 Parameters)  <a href="#a3c05cd3edd24b6804314aeedd5876bc4">More...</a><br /></td></tr>
<tr class="separator:a3c05cd3edd24b6804314aeedd5876bc4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52a795e7d8e6c8703d38e0795fe17092"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#a52a795e7d8e6c8703d38e0795fe17092">positionError</a> (size_t i) const</td></tr>
<tr class="memdesc:a52a795e7d8e6c8703d38e0795fe17092"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access item i of the Covariance matrix of the position (6 Parameters)  <a href="#a52a795e7d8e6c8703d38e0795fe17092">More...</a><br /></td></tr>
<tr class="separator:a52a795e7d8e6c8703d38e0795fe17092"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70192afa134440272ee7f0acf25cb88f"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#a70192afa134440272ee7f0acf25cb88f">theta</a> () const</td></tr>
<tr class="memdesc:a70192afa134440272ee7f0acf25cb88f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the Intrinsic direction of cluster at position - Theta.  <a href="#a70192afa134440272ee7f0acf25cb88f">More...</a><br /></td></tr>
<tr class="separator:a70192afa134440272ee7f0acf25cb88f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f3c6ff7a35997ba91fc516c9340df96"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#a4f3c6ff7a35997ba91fc516c9340df96">phi</a> () const</td></tr>
<tr class="memdesc:a4f3c6ff7a35997ba91fc516c9340df96"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the Intrinsic direction of cluster at position - Phi.  <a href="#a4f3c6ff7a35997ba91fc516c9340df96">More...</a><br /></td></tr>
<tr class="separator:a4f3c6ff7a35997ba91fc516c9340df96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0596d92806b3e10fd5520ab34cd215e"><td class="memItemLeft" align="right" valign="top">const std::array&lt; float, 3 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#ac0596d92806b3e10fd5520ab34cd215e">directionError</a> () const</td></tr>
<tr class="memdesc:ac0596d92806b3e10fd5520ab34cd215e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the Covariance matrix of the direction (3 Parameters)  <a href="#ac0596d92806b3e10fd5520ab34cd215e">More...</a><br /></td></tr>
<tr class="separator:ac0596d92806b3e10fd5520ab34cd215e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0da16ac5682578ef7442e8dce89c69a9"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#a0da16ac5682578ef7442e8dce89c69a9">directionError</a> (size_t i) const</td></tr>
<tr class="memdesc:a0da16ac5682578ef7442e8dce89c69a9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access item i of the Covariance matrix of the direction (3 Parameters)  <a href="#a0da16ac5682578ef7442e8dce89c69a9">More...</a><br /></td></tr>
<tr class="separator:a0da16ac5682578ef7442e8dce89c69a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1150bc5e4e1e1baf260379d0788054d7"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#a1150bc5e4e1e1baf260379d0788054d7">clusters_size</a> () const</td></tr>
<tr class="separator:a1150bc5e4e1e1baf260379d0788054d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfd5745fd0e76854272fee75939ea5f0"><td class="memItemLeft" align="right" valign="top">::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#adfd5745fd0e76854272fee75939ea5f0">clusters</a> (unsigned int) const</td></tr>
<tr class="separator:adfd5745fd0e76854272fee75939ea5f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab91a53536d57e95a7c6cb2094f232f90"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#ab91a53536d57e95a7c6cb2094f232f90">clusters_begin</a> () const</td></tr>
<tr class="separator:ab91a53536d57e95a7c6cb2094f232f90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a988003293b4f3c35b5dd6594a92ba146"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#a988003293b4f3c35b5dd6594a92ba146">clusters_end</a> () const</td></tr>
<tr class="separator:a988003293b4f3c35b5dd6594a92ba146"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a818444afd32959418598e3ec8b576f75"><td class="memItemLeft" align="right" valign="top">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#a818444afd32959418598e3ec8b576f75">clusters</a> () const</td></tr>
<tr class="separator:a818444afd32959418598e3ec8b576f75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7161ea9a78d73e88f46ec412c389c1e4"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#a7161ea9a78d73e88f46ec412c389c1e4">hits_size</a> () const</td></tr>
<tr class="separator:a7161ea9a78d73e88f46ec412c389c1e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45ad4e0958aeafef98c0c6ec6005be37"><td class="memItemLeft" align="right" valign="top">::<a class="el" href="classeic_1_1_const_calorimeter_hit.html">eic::ConstCalorimeterHit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#a45ad4e0958aeafef98c0c6ec6005be37">hits</a> (unsigned int) const</td></tr>
<tr class="separator:a45ad4e0958aeafef98c0c6ec6005be37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4ff1f00849adf3dee05a75f47036073"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_calorimeter_hit.html">eic::ConstCalorimeterHit</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#ab4ff1f00849adf3dee05a75f47036073">hits_begin</a> () const</td></tr>
<tr class="separator:ab4ff1f00849adf3dee05a75f47036073"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6548e04866e7bed844182529e12ac948"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_calorimeter_hit.html">eic::ConstCalorimeterHit</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#a6548e04866e7bed844182529e12ac948">hits_end</a> () const</td></tr>
<tr class="separator:a6548e04866e7bed844182529e12ac948"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade2f597b20a40afe2a3b33a53d139138"><td class="memItemLeft" align="right" valign="top">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_calorimeter_hit.html">eic::ConstCalorimeterHit</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#ade2f597b20a40afe2a3b33a53d139138">hits</a> () const</td></tr>
<tr class="separator:ade2f597b20a40afe2a3b33a53d139138"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ca31087b9474e68534cecc8079904a5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#a4ca31087b9474e68534cecc8079904a5">isAvailable</a> () const</td></tr>
<tr class="memdesc:a4ca31087b9474e68534cecc8079904a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">check whether the object is actually available  <a href="#a4ca31087b9474e68534cecc8079904a5">More...</a><br /></td></tr>
<tr class="separator:a4ca31087b9474e68534cecc8079904a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78fc146eb2ad93f0fdd32bb2e260567f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#a78fc146eb2ad93f0fdd32bb2e260567f">unlink</a> ()</td></tr>
<tr class="memdesc:a78fc146eb2ad93f0fdd32bb2e260567f"><td class="mdescLeft">&#160;</td><td class="mdescRight">disconnect from <a class="el" href="classeic_1_1_cluster_obj.html">ClusterObj</a> instance  <a href="#a78fc146eb2ad93f0fdd32bb2e260567f">More...</a><br /></td></tr>
<tr class="separator:a78fc146eb2ad93f0fdd32bb2e260567f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac303c6215e6d5a43c172ec29a6cdeb74"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#ac303c6215e6d5a43c172ec29a6cdeb74">operator==</a> (const <a class="el" href="classeic_1_1_const_cluster.html">ConstCluster</a> &amp;other) const</td></tr>
<tr class="separator:ac303c6215e6d5a43c172ec29a6cdeb74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12774ce13f373277b7a4eaa472bcb24f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#a12774ce13f373277b7a4eaa472bcb24f">operator==</a> (const <a class="el" href="classeic_1_1_cluster.html">Cluster</a> &amp;other) const</td></tr>
<tr class="separator:a12774ce13f373277b7a4eaa472bcb24f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae05700efa1ef037f1a861ea2c2fa6593"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#ae05700efa1ef037f1a861ea2c2fa6593">operator&lt;</a> (const <a class="el" href="classeic_1_1_const_cluster.html">ConstCluster</a> &amp;other) const</td></tr>
<tr class="separator:ae05700efa1ef037f1a861ea2c2fa6593"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a8221e4a78083cbfbf75308eb68836d"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#a5a8221e4a78083cbfbf75308eb68836d">id</a> () const</td></tr>
<tr class="separator:a5a8221e4a78083cbfbf75308eb68836d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba7f1304402caeda4b15bdb243904ad7"><td class="memItemLeft" align="right" valign="top">const podio::ObjectID&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_cluster.html#aba7f1304402caeda4b15bdb243904ad7">getObjectID</a> () const</td></tr>
<tr class="separator:aba7f1304402caeda4b15bdb243904ad7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>EIC cluster </p><dl class="section author"><dt>Author</dt><dd>: F.Gaede, B. Hegner </dd></dl>

<p class="definition">Definition at line <a class="el" href="_cluster_const_8h_source.html#l00027">27</a> of file <a class="el" href="_cluster_const_8h_source.html">ClusterConst.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a3d96f2e954b1d8f0af65a89301adb75d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d96f2e954b1d8f0af65a89301adb75d">&#9670;&nbsp;</a></span>ConstCluster() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstCluster::ConstCluster </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>default constructor </p>

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00016">16</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

</div>
</div>
<a id="a89b72610e8a046c8dc417cf5ce7b6140"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89b72610e8a046c8dc417cf5ce7b6140">&#9670;&nbsp;</a></span>ConstCluster() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstCluster::ConstCluster </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>energy</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::array&lt; float, 3 &gt;&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::array&lt; float, 6 &gt;&#160;</td>
          <td class="paramname"><em>positionError</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>theta</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>phi</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::array&lt; float, 3 &gt;&#160;</td>
          <td class="paramname"><em>directionError</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00020">20</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, <a class="el" href="_cluster_data_8h_source.html#l00022">eic::ClusterData::directionError</a>, <a class="el" href="_cluster_const_8cc_source.html#l00058">directionError()</a>, <a class="el" href="_cluster_data_8h_source.html#l00017">eic::ClusterData::energy</a>, <a class="el" href="_cluster_const_8cc_source.html#l00051">energy()</a>, <a class="el" href="_cluster_data_8h_source.html#l00021">eic::ClusterData::phi</a>, <a class="el" href="_cluster_const_8cc_source.html#l00057">phi()</a>, <a class="el" href="_cluster_data_8h_source.html#l00018">eic::ClusterData::position</a>, <a class="el" href="_cluster_const_8cc_source.html#l00052">position()</a>, <a class="el" href="_cluster_data_8h_source.html#l00019">eic::ClusterData::positionError</a>, <a class="el" href="_cluster_const_8cc_source.html#l00054">positionError()</a>, <a class="el" href="_cluster_data_8h_source.html#l00020">eic::ClusterData::theta</a>, and <a class="el" href="_cluster_const_8cc_source.html#l00056">theta()</a>.</p>

</div>
</div>
<a id="ad61b1b8281e65376c269f693931ebcf1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad61b1b8281e65376c269f693931ebcf1">&#9670;&nbsp;</a></span>ConstCluster() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstCluster::ConstCluster </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classeic_1_1_cluster_obj.html">ClusterObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructor from existing <a class="el" href="classeic_1_1_cluster_obj.html">ClusterObj</a> </p>

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00040">40</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

</div>
</div>
<a id="af521efce55dc71a9297116cb11dd223f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af521efce55dc71a9297116cb11dd223f">&#9670;&nbsp;</a></span>ConstCluster() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstCluster::ConstCluster </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_cluster.html">ConstCluster</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy constructor </p>

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00030">30</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

</div>
</div>
<a id="adc6346f25ae8bbef9fdd7f85b328d9d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc6346f25ae8bbef9fdd7f85b328d9d4">&#9670;&nbsp;</a></span>~ConstCluster()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstCluster::~ConstCluster </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>destructor </p>

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00048">48</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aa26e9132ee4d394f65513c47cf515090"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa26e9132ee4d394f65513c47cf515090">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_cluster.html">ConstCluster</a> eic::ConstCluster::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>support cloning (deep-copy) </p>

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00044">44</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

</div>
</div>
<a id="adfd5745fd0e76854272fee75939ea5f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adfd5745fd0e76854272fee75939ea5f0">&#9670;&nbsp;</a></span>clusters() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> eic::ConstCluster::clusters </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00079">79</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_data_8h_source.html#l00024">eic::ClusterData::clusters_begin</a>, <a class="el" href="_cluster_const_8cc_source.html#l00075">clusters_size()</a>, <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_obj_8h_source.html#l00034">eic::ClusterObj::m_clusters</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_8cc_source.html#l00173">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a818444afd32959418598e3ec8b576f75"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a818444afd32959418598e3ec8b576f75">&#9670;&nbsp;</a></span>clusters() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> &gt; eic::ConstCluster::clusters </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00086">86</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_data_8h_source.html#l00024">eic::ClusterData::clusters_begin</a>, <a class="el" href="_cluster_data_8h_source.html#l00025">eic::ClusterData::clusters_end</a>, <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_obj_8h_source.html#l00034">eic::ClusterObj::m_clusters</a>.</p>

</div>
</div>
<a id="ab91a53536d57e95a7c6cb2094f232f90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab91a53536d57e95a7c6cb2094f232f90">&#9670;&nbsp;</a></span>clusters_begin()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> &gt;::const_iterator eic::ConstCluster::clusters_begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00063">63</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_data_8h_source.html#l00024">eic::ClusterData::clusters_begin</a>, <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_obj_8h_source.html#l00034">eic::ClusterObj::m_clusters</a>.</p>

</div>
</div>
<a id="a988003293b4f3c35b5dd6594a92ba146"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a988003293b4f3c35b5dd6594a92ba146">&#9670;&nbsp;</a></span>clusters_end()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> &gt;::const_iterator eic::ConstCluster::clusters_end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00069">69</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_data_8h_source.html#l00025">eic::ClusterData::clusters_end</a>, <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_obj_8h_source.html#l00034">eic::ClusterObj::m_clusters</a>.</p>

</div>
</div>
<a id="a1150bc5e4e1e1baf260379d0788054d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1150bc5e4e1e1baf260379d0788054d7">&#9670;&nbsp;</a></span>clusters_size()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::ConstCluster::clusters_size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00075">75</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_data_8h_source.html#l00024">eic::ClusterData::clusters_begin</a>, <a class="el" href="_cluster_data_8h_source.html#l00025">eic::ClusterData::clusters_end</a>, and <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_const_8cc_source.html#l00079">clusters()</a>, and <a class="el" href="_cluster_8cc_source.html#l00173">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ac0596d92806b3e10fd5520ab34cd215e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0596d92806b3e10fd5520ab34cd215e">&#9670;&nbsp;</a></span>directionError() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, 3 &gt; &amp; eic::ConstCluster::directionError </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the Covariance matrix of the direction (3 Parameters) </p>

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00058">58</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00022">eic::ClusterData::directionError</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_const_8cc_source.html#l00020">ConstCluster()</a>, and <a class="el" href="_cluster_8cc_source.html#l00173">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a0da16ac5682578ef7442e8dce89c69a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0da16ac5682578ef7442e8dce89c69a9">&#9670;&nbsp;</a></span>directionError() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::ConstCluster::directionError </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access item i of the Covariance matrix of the direction (3 Parameters) </p>

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00059">59</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00022">eic::ClusterData::directionError</a>.</p>

</div>
</div>
<a id="a207ee0f008fdb43732235b63415948fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a207ee0f008fdb43732235b63415948fd">&#9670;&nbsp;</a></span>energy()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::ConstCluster::energy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the Energy of the cluster. </p>

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00051">51</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00017">eic::ClusterData::energy</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_const_8cc_source.html#l00020">ConstCluster()</a>, and <a class="el" href="_cluster_8cc_source.html#l00173">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="aba7f1304402caeda4b15bdb243904ad7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba7f1304402caeda4b15bdb243904ad7">&#9670;&nbsp;</a></span>getObjectID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const podio::ObjectID eic::ConstCluster::getObjectID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00137">137</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_const_8h_source.html#l00102">id()</a>.</p>

</div>
</div>
<a id="a45ad4e0958aeafef98c0c6ec6005be37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45ad4e0958aeafef98c0c6ec6005be37">&#9670;&nbsp;</a></span>hits() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_calorimeter_hit.html">eic::ConstCalorimeterHit</a> eic::ConstCluster::hits </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00111">111</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, <a class="el" href="_cluster_data_8h_source.html#l00026">eic::ClusterData::hits_begin</a>, <a class="el" href="_cluster_const_8cc_source.html#l00107">hits_size()</a>, and <a class="el" href="_cluster_obj_8h_source.html#l00035">eic::ClusterObj::m_hits</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_8cc_source.html#l00173">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ade2f597b20a40afe2a3b33a53d139138"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade2f597b20a40afe2a3b33a53d139138">&#9670;&nbsp;</a></span>hits() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_calorimeter_hit.html">eic::ConstCalorimeterHit</a> &gt; eic::ConstCluster::hits </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00118">118</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, <a class="el" href="_cluster_data_8h_source.html#l00026">eic::ClusterData::hits_begin</a>, <a class="el" href="_cluster_data_8h_source.html#l00027">eic::ClusterData::hits_end</a>, and <a class="el" href="_cluster_obj_8h_source.html#l00035">eic::ClusterObj::m_hits</a>.</p>

</div>
</div>
<a id="ab4ff1f00849adf3dee05a75f47036073"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4ff1f00849adf3dee05a75f47036073">&#9670;&nbsp;</a></span>hits_begin()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_calorimeter_hit.html">eic::ConstCalorimeterHit</a> &gt;::const_iterator eic::ConstCluster::hits_begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00095">95</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, <a class="el" href="_cluster_data_8h_source.html#l00026">eic::ClusterData::hits_begin</a>, and <a class="el" href="_cluster_obj_8h_source.html#l00035">eic::ClusterObj::m_hits</a>.</p>

</div>
</div>
<a id="a6548e04866e7bed844182529e12ac948"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6548e04866e7bed844182529e12ac948">&#9670;&nbsp;</a></span>hits_end()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_calorimeter_hit.html">eic::ConstCalorimeterHit</a> &gt;::const_iterator eic::ConstCluster::hits_end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00101">101</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, <a class="el" href="_cluster_data_8h_source.html#l00027">eic::ClusterData::hits_end</a>, and <a class="el" href="_cluster_obj_8h_source.html#l00035">eic::ClusterObj::m_hits</a>.</p>

</div>
</div>
<a id="a7161ea9a78d73e88f46ec412c389c1e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7161ea9a78d73e88f46ec412c389c1e4">&#9670;&nbsp;</a></span>hits_size()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::ConstCluster::hits_size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00107">107</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, <a class="el" href="_cluster_data_8h_source.html#l00026">eic::ClusterData::hits_begin</a>, and <a class="el" href="_cluster_data_8h_source.html#l00027">eic::ClusterData::hits_end</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_const_8cc_source.html#l00111">hits()</a>, and <a class="el" href="_cluster_8cc_source.html#l00173">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a5a8221e4a78083cbfbf75308eb68836d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a8221e4a78083cbfbf75308eb68836d">&#9670;&nbsp;</a></span>id()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::ConstCluster::id </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_const_8h_source.html#l00102">102</a> of file <a class="el" href="_cluster_const_8h_source.html">ClusterConst.h</a>.</p>

<p class="reference">References <a class="el" href="_cluster_const_8cc_source.html#l00137">getObjectID()</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_8cc_source.html#l00173">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a4ca31087b9474e68534cecc8079904a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ca31087b9474e68534cecc8079904a5">&#9670;&nbsp;</a></span>isAvailable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstCluster::isAvailable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>check whether the object is actually available </p>

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00130">130</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

</div>
</div>
<a id="ae05700efa1ef037f1a861ea2c2fa6593"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae05700efa1ef037f1a861ea2c2fa6593">&#9670;&nbsp;</a></span>operator<()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstCluster::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_cluster.html">ConstCluster</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_const_8h_source.html#l00100">100</a> of file <a class="el" href="_cluster_const_8h_source.html">ClusterConst.h</a>.</p>

</div>
</div>
<a id="a0130c5dabca753aa2a1fdf8ce9222c8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0130c5dabca753aa2a1fdf8ce9222c8b">&#9670;&nbsp;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_cluster.html">ConstCluster</a> &amp; eic::ConstCluster::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_cluster.html">ConstCluster</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy-assignment operator </p>

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00034">34</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

</div>
</div>
<a id="ac303c6215e6d5a43c172ec29a6cdeb74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac303c6215e6d5a43c172ec29a6cdeb74">&#9670;&nbsp;</a></span>operator==() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstCluster::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_cluster.html">ConstCluster</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_const_8h_source.html#l00096">96</a> of file <a class="el" href="_cluster_const_8h_source.html">ClusterConst.h</a>.</p>

</div>
</div>
<a id="a12774ce13f373277b7a4eaa472bcb24f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12774ce13f373277b7a4eaa472bcb24f">&#9670;&nbsp;</a></span>operator==() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstCluster::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_cluster.html">Cluster</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00144">144</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

</div>
</div>
<a id="a4f3c6ff7a35997ba91fc516c9340df96"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f3c6ff7a35997ba91fc516c9340df96">&#9670;&nbsp;</a></span>phi()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::ConstCluster::phi </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the Intrinsic direction of cluster at position - Phi. </p>

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00057">57</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00021">eic::ClusterData::phi</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_const_8cc_source.html#l00020">ConstCluster()</a>, and <a class="el" href="_cluster_8cc_source.html#l00173">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="affb2b5a9c511922b51db5945f67988bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affb2b5a9c511922b51db5945f67988bf">&#9670;&nbsp;</a></span>position() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, 3 &gt; &amp; eic::ConstCluster::position </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the Position of the cluster. </p>

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00052">52</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00018">eic::ClusterData::position</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_const_8cc_source.html#l00020">ConstCluster()</a>, and <a class="el" href="_cluster_8cc_source.html#l00173">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a8e4821cfa17cda13bf6bf635284608ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e4821cfa17cda13bf6bf635284608ac">&#9670;&nbsp;</a></span>position() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::ConstCluster::position </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access item i of the Position of the cluster. </p>

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00053">53</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00018">eic::ClusterData::position</a>.</p>

</div>
</div>
<a id="a3c05cd3edd24b6804314aeedd5876bc4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c05cd3edd24b6804314aeedd5876bc4">&#9670;&nbsp;</a></span>positionError() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, 6 &gt; &amp; eic::ConstCluster::positionError </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the Covariance matrix of the position (6 Parameters) </p>

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00054">54</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00019">eic::ClusterData::positionError</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_const_8cc_source.html#l00020">ConstCluster()</a>, and <a class="el" href="_cluster_8cc_source.html#l00173">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a52a795e7d8e6c8703d38e0795fe17092"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52a795e7d8e6c8703d38e0795fe17092">&#9670;&nbsp;</a></span>positionError() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::ConstCluster::positionError </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access item i of the Covariance matrix of the position (6 Parameters) </p>

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00055">55</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00019">eic::ClusterData::positionError</a>.</p>

</div>
</div>
<a id="a70192afa134440272ee7f0acf25cb88f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a70192afa134440272ee7f0acf25cb88f">&#9670;&nbsp;</a></span>theta()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::ConstCluster::theta </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the Intrinsic direction of cluster at position - Theta. </p>

<p class="definition">Definition at line <a class="el" href="_cluster_const_8cc_source.html#l00056">56</a> of file <a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_cluster_obj_8h_source.html#l00033">eic::ClusterObj::data</a>, and <a class="el" href="_cluster_data_8h_source.html#l00020">eic::ClusterData::theta</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_const_8cc_source.html#l00020">ConstCluster()</a>, and <a class="el" href="_cluster_8cc_source.html#l00173">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a78fc146eb2ad93f0fdd32bb2e260567f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78fc146eb2ad93f0fdd32bb2e260567f">&#9670;&nbsp;</a></span>unlink()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ConstCluster::unlink </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>disconnect from <a class="el" href="classeic_1_1_cluster_obj.html">ClusterObj</a> instance </p>

<p class="definition">Definition at line <a class="el" href="_cluster_const_8h_source.html#l00094">94</a> of file <a class="el" href="_cluster_const_8h_source.html">ClusterConst.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_cluster_const_8h_source.html">ClusterConst.h</a></li>
<li>src/<a class="el" href="_cluster_const_8cc_source.html">ClusterConst.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
